image: docker:latest
services:
  - docker:dind

stages:
  - build
  - package

cache:
  paths:
    - .m2/

variables:
  DOCKER_DRIVER: overlay
  MAVEN_OPTS: "-Dmaven.repo.local=${CI_PROJECT_DIR}/.m2"

build:
  image: maven:latest
  stage: build
  script: "mvn $MAVEN_OPTS package -f pom.xml"
  artifacts:
    paths:
      - target/*.jar
  only:
    - master

dockerize:
  stage: package
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build -t $CI_REGISTRY/larboard.net/service/discovery-service:latest . --build-arg JAR_FILE=discovery-service-1.0.jar
    - docker push $CI_REGISTRY/larboard.net/service/discovery-service:latest
  only:
    - master
